### Function

# FwupdPlugin byte_array_align_up

#### Declaration [src]

    void
    fu_byte_array_align_up (
      GByteArray* array,
      guint8 alignment,
      guint8 data
    )

#### Description [src]

Align a byte array length to a power of 2 boundary, where `alignment` is the bit position to align to. If `alignment` is zero then `array` is unchanged.

Available since: | 1.6.0

#### Parameters

`array` | An array of `guint8`
| A `GByteArray`.
| The data is owned by the caller of the function.
`alignment` | `guint8`
| Align to this power of 2
`data` | `guint8`
| The byte used to pad the array.